%global gobject_introspection_version 1.35.9
%global gtk3_version 3.20
%global gjs_version 1.50.0
%global libgweather_version 3.28

Name:		gnome-weather
Version:	3.36.1
Release:	1
Summary:	A weather application in GNOME3
License:	GPLv2+ and LGPLv2+ and MIT and CC-BY and CC-BY-SA
URL:		https://wiki.gnome.org/Apps/Weather
Source0:	https://download.gnome.org/sources/%{name}/3.36/%{name}-%{version}.tar.xz
BuildArch:	noarch

BuildRequires:	desktop-file-utils gettext gjs-devel >= %{gjs_version} glib2-devel meson
BuildRequires:	gobject-introspection >= %{gobject_introspection_version} gtk3-devel >= %{gtk3_version}
BuildRequires:	libgweather-devel >= %{libgweather_version} pkgconfig(geoclue-2.0) python3-devel

Requires:	gdk-pixbuf2 geoclue2-libs gjs >= %{gjs_version} glib2 gnome-desktop3
Requires:	gobject-introspection >= %{gobject_introspection_version}
Requires:	gsettings-desktop-schemas gtk3 >= %{gtk3_version}
Requires:	libgweather >= %{libgweather_version}

Obsoletes:      gnome-weather-tests < 3.31.90

%description
Monitor the current weather conditions for your city, or anywhere in the world.

%prep
%autosetup -p1
pathfix.py -i %{__python3} .

%build
%meson
%meson_build

%install
%meson_install

%find_lang org.gnome.Weather

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Weather.desktop

%files -f org.gnome.Weather.lang
%license COPYING.md
%doc NEWS data/CREDITS
%{_bindir}/gnome-weather
%{_datadir}/applications/org.gnome.Weather.desktop
%{_datadir}/dbus-1/services/org.gnome.Weather*.service
%{_datadir}/glib-2.0/schemas/org.gnome.Weather.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Weather.search-provider.ini
%{_datadir}/icons/hicolor/*/apps/org.gnome.Weather*
%{_datadir}/metainfo/org.gnome.Weather.appdata.xml
%{_datadir}/org.gnome.Weather/

%changelog
* Mon Jun 21 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.36.1-1
- Package init with version 3.36.1
